#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(dm_send_uevents, "_gpl", "");
KSYMTAB_FUNC(dm_path_uevent, "_gpl", "");
KSYMTAB_FUNC(dm_report_zones, "_gpl", "");
KSYMTAB_FUNC(dm_audit_log_ti, "_gpl", "");
KSYMTAB_FUNC(dm_audit_log_bio, "_gpl", "");
KSYMTAB_FUNC(dm_per_bio_data, "_gpl", "");
KSYMTAB_FUNC(dm_bio_from_per_bio_data, "_gpl", "");
KSYMTAB_FUNC(dm_bio_get_target_bio_nr, "_gpl", "");
KSYMTAB_FUNC(dm_get_reserved_bio_based_ios, "_gpl", "");
KSYMTAB_FUNC(dm_start_time_ns_from_clone, "_gpl", "");
KSYMTAB_FUNC(dm_set_target_max_io_len, "_gpl", "");
KSYMTAB_FUNC(dm_accept_partial_bio, "_gpl", "");
KSYMTAB_FUNC(dm_submit_bio_remap, "_gpl", "");
KSYMTAB_FUNC(dm_get_md, "_gpl", "");
KSYMTAB_FUNC(dm_hold, "_gpl", "");
KSYMTAB_FUNC(dm_device_name, "_gpl", "");
KSYMTAB_FUNC(dm_put, "_gpl", "");
KSYMTAB_FUNC(dm_internal_suspend_noflush, "_gpl", "");
KSYMTAB_FUNC(dm_internal_resume, "_gpl", "");
KSYMTAB_FUNC(dm_internal_suspend_fast, "_gpl", "");
KSYMTAB_FUNC(dm_internal_resume_fast, "_gpl", "");
KSYMTAB_FUNC(dm_disk, "_gpl", "");
KSYMTAB_FUNC(dm_suspended, "_gpl", "");
KSYMTAB_FUNC(dm_post_suspending, "_gpl", "");
KSYMTAB_FUNC(dm_noflush_suspending, "_gpl", "");
KSYMTAB_FUNC(dm_devt_from_path, "", "");
KSYMTAB_FUNC(dm_get_device, "", "");
KSYMTAB_FUNC(dm_put_device, "", "");
KSYMTAB_FUNC(dm_read_arg, "", "");
KSYMTAB_FUNC(dm_read_arg_group, "", "");
KSYMTAB_FUNC(dm_shift_arg, "", "");
KSYMTAB_FUNC(dm_consume_args, "", "");
KSYMTAB_FUNC(dm_table_set_type, "_gpl", "");
KSYMTAB_FUNC(dm_table_event, "", "");
KSYMTAB_FUNC(dm_table_get_size, "", "");
KSYMTAB_FUNC(dm_table_get_mode, "", "");
KSYMTAB_FUNC(dm_table_get_md, "", "");
KSYMTAB_FUNC(dm_table_device_name, "_gpl", "");
KSYMTAB_FUNC(dm_table_run_md_queue_async, "", "");
KSYMTAB_FUNC(dm_register_target, "", "");
KSYMTAB_FUNC(dm_unregister_target, "", "");
KSYMTAB_FUNC(dm_copy_name_and_uuid, "_gpl", "");
KSYMTAB_FUNC(dm_io_client_create, "", "");
KSYMTAB_FUNC(dm_io_client_destroy, "", "");
KSYMTAB_FUNC(dm_io, "", "");
KSYMTAB_FUNC(dm_kcopyd_copy, "", "");
KSYMTAB_FUNC(dm_kcopyd_zero, "", "");
KSYMTAB_FUNC(dm_kcopyd_prepare_callback, "", "");
KSYMTAB_FUNC(dm_kcopyd_do_callback, "", "");
KSYMTAB_FUNC(dm_kcopyd_client_create, "", "");
KSYMTAB_FUNC(dm_kcopyd_client_destroy, "", "");
KSYMTAB_FUNC(dm_kcopyd_client_flush, "", "");
KSYMTAB_FUNC(dm_mq_kick_requeue_list, "", "");

SYMBOL_CRC(dm_send_uevents, 0x5a53926a, "_gpl");
SYMBOL_CRC(dm_path_uevent, 0x4e2a7cea, "_gpl");
SYMBOL_CRC(dm_report_zones, 0x3a645620, "_gpl");
SYMBOL_CRC(dm_audit_log_ti, 0x5c6a93cf, "_gpl");
SYMBOL_CRC(dm_audit_log_bio, 0x311516eb, "_gpl");
SYMBOL_CRC(dm_per_bio_data, 0xba15e5e5, "_gpl");
SYMBOL_CRC(dm_bio_from_per_bio_data, 0xe5c80417, "_gpl");
SYMBOL_CRC(dm_bio_get_target_bio_nr, 0xf9c57bfc, "_gpl");
SYMBOL_CRC(dm_get_reserved_bio_based_ios, 0x38f704de, "_gpl");
SYMBOL_CRC(dm_start_time_ns_from_clone, 0xad6e05d5, "_gpl");
SYMBOL_CRC(dm_set_target_max_io_len, 0x890b8a95, "_gpl");
SYMBOL_CRC(dm_accept_partial_bio, 0x9afbddad, "_gpl");
SYMBOL_CRC(dm_submit_bio_remap, 0x1c3d2e28, "_gpl");
SYMBOL_CRC(dm_get_md, 0xbcc2d9f2, "_gpl");
SYMBOL_CRC(dm_hold, 0x0d97eef2, "_gpl");
SYMBOL_CRC(dm_device_name, 0xd44f9b6b, "_gpl");
SYMBOL_CRC(dm_put, 0x7d87f21f, "_gpl");
SYMBOL_CRC(dm_internal_suspend_noflush, 0x27e26da1, "_gpl");
SYMBOL_CRC(dm_internal_resume, 0x7ee72065, "_gpl");
SYMBOL_CRC(dm_internal_suspend_fast, 0xb4fb3d98, "_gpl");
SYMBOL_CRC(dm_internal_resume_fast, 0x7409d906, "_gpl");
SYMBOL_CRC(dm_disk, 0x1d8270dc, "_gpl");
SYMBOL_CRC(dm_suspended, 0x5fde0900, "_gpl");
SYMBOL_CRC(dm_post_suspending, 0xd3c57b64, "_gpl");
SYMBOL_CRC(dm_noflush_suspending, 0xe5b0ba3b, "_gpl");
SYMBOL_CRC(dm_devt_from_path, 0x23418c7d, "");
SYMBOL_CRC(dm_get_device, 0x995e80c3, "");
SYMBOL_CRC(dm_put_device, 0x8c45e48c, "");
SYMBOL_CRC(dm_read_arg, 0x056bcf7b, "");
SYMBOL_CRC(dm_read_arg_group, 0x39c74235, "");
SYMBOL_CRC(dm_shift_arg, 0x7d27e504, "");
SYMBOL_CRC(dm_consume_args, 0x669c191b, "");
SYMBOL_CRC(dm_table_set_type, 0x3d0bc5c2, "_gpl");
SYMBOL_CRC(dm_table_event, 0xc7ea8b23, "");
SYMBOL_CRC(dm_table_get_size, 0xd52293e9, "");
SYMBOL_CRC(dm_table_get_mode, 0x5dd1ead9, "");
SYMBOL_CRC(dm_table_get_md, 0x15cbb369, "");
SYMBOL_CRC(dm_table_device_name, 0x7c018c54, "_gpl");
SYMBOL_CRC(dm_table_run_md_queue_async, 0x5896ec39, "");
SYMBOL_CRC(dm_register_target, 0x0b8d9578, "");
SYMBOL_CRC(dm_unregister_target, 0x112003ef, "");
SYMBOL_CRC(dm_copy_name_and_uuid, 0x8fb18f54, "_gpl");
SYMBOL_CRC(dm_io_client_create, 0x601f665f, "");
SYMBOL_CRC(dm_io_client_destroy, 0x9e4faeef, "");
SYMBOL_CRC(dm_io, 0x24352ba8, "");
SYMBOL_CRC(dm_kcopyd_copy, 0x367e95cf, "");
SYMBOL_CRC(dm_kcopyd_zero, 0x8b2147f4, "");
SYMBOL_CRC(dm_kcopyd_prepare_callback, 0xf1f88a0e, "");
SYMBOL_CRC(dm_kcopyd_do_callback, 0xf2a8efae, "");
SYMBOL_CRC(dm_kcopyd_client_create, 0x9dd9df13, "");
SYMBOL_CRC(dm_kcopyd_client_destroy, 0x154c6338, "");
SYMBOL_CRC(dm_kcopyd_client_flush, 0x90006be6, "");
SYMBOL_CRC(dm_mq_kick_requeue_list, 0x9971eff9, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf68a130b, "bio_associate_blkg" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe1dcf64a, "audit_log_format" },
	{ 0x8763e885, "set_disk_ro" },
	{ 0x6f8ddfb4, "__blk_alloc_disk" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x22d1e685, "try_module_get" },
	{ 0x45c92313, "VMALLOC_END" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x5997658c, "vmemmap" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0x2b883940, "misc_deregister" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x9c5e117e, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x3761d215, "idr_find" },
	{ 0x11e55601, "param_ops_uint" },
	{ 0x40af0df4, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x2a976d1c, "dax_synchronous" },
	{ 0x51965d43, "__kmalloc_noprof" },
	{ 0x1e479dcb, "bio_split_to_limits" },
	{ 0x3b897230, "vmalloc_to_page" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0xf2cb2992, "device_add_disk" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x60fc8152, "fs_dax_get_by_bdev" },
	{ 0x9d8bb00e, "set_dax_nocache" },
	{ 0x5117270f, "bio_poll" },
	{ 0xca9360b5, "rb_next" },
	{ 0x3370fd4b, "blk_mq_queue_inflight" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xeb37101c, "audit_log_end" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x8d0fd4ef, "idr_replace" },
	{ 0xd0f486d4, "dm_kobject_release" },
	{ 0xd566933c, "up" },
	{ 0xfac27201, "blk_rq_prep_clone" },
	{ 0x969e6a79, "blk_mq_unquiesce_queue" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x45b9877f, "prepare_to_wait" },
	{ 0x4d8683ee, "blk_mq_quiesce_queue" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x236c8c64, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x037a0cba, "kfree" },
	{ 0x6b61fa87, "__traceiter_block_bio_remap" },
	{ 0xff292502, "blk_mq_kick_requeue_list" },
	{ 0x138e0957, "dax_write_cache_enabled" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x7be0ea06, "blk_rq_unprep_clone" },
	{ 0x3a375ec6, "out_of_line_wait_on_bit" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x48fc7694, "synchronize_srcu" },
	{ 0x2961ed78, "blk_mq_end_request" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x77dbe8b7, "bdev_thaw" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x6f79375c, "mempool_free" },
	{ 0x49672828, "node_states" },
	{ 0xc14b19b6, "alloc_dax" },
	{ 0xb09707f0, "blk_mq_delay_kick_requeue_list" },
	{ 0x389b64a2, "static_key_count" },
	{ 0xa2273621, "blk_mq_alloc_tag_set" },
	{ 0x2d609547, "dax_direct_access" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xacf649bf, "audit_log_task_info" },
	{ 0x2fbb6471, "crypto_destroy_tfm" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x29789394, "empty_zero_page" },
	{ 0xc35f5c0b, "__traceiter_block_split" },
	{ 0xaa6567ba, "bioset_integrity_create" },
	{ 0x92997ed8, "_printk" },
	{ 0x189bed78, "put_disk" },
	{ 0xebbf1dba, "strncasecmp" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x0a327f9a, "bio_integrity_trim" },
	{ 0x01000e51, "schedule" },
	{ 0x9379a83a, "__fput_sync" },
	{ 0xfad9c827, "kill_dax" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x22da7049, "__tracepoint_block_split" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x108f7d27, "__free_pages" },
	{ 0xfbcb0b03, "bit_wait" },
	{ 0x6a29e975, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0x845f8085, "submit_bio" },
	{ 0x97b65a98, "dax_add_host" },
	{ 0xa5dcf6fe, "module_put" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x727c970f, "blk_mq_init_allocated_queue" },
	{ 0xd707d176, "bioset_exit" },
	{ 0x0800473f, "__cond_resched" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0xc53cd7e4, "ima_measure_critical_data" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0xb8369db3, "mempool_alloc_noprof" },
	{ 0x4648eeac, "kobject_uevent_env" },
	{ 0x0932a6a4, "bio_put" },
	{ 0x76bad2e7, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9e9c4f24, "set_dax_nomc" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xb5dd99e4, "init_srcu_struct" },
	{ 0x797f4512, "fput" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xdcef9adf, "blk_revalidate_disk_zones" },
	{ 0xd2510a63, "up_write" },
	{ 0x7123d6cc, "blk_update_request" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x8c47afca, "idr_alloc" },
	{ 0x4dea1053, "memchr" },
	{ 0x417d8076, "dax_zero_page_range" },
	{ 0xbb9053cc, "__srcu_read_lock" },
	{ 0xd244d105, "set_capacity" },
	{ 0x0dba154e, "submit_bio_noacct" },
	{ 0x06e707fd, "noop_llseek" },
	{ 0x81b433f2, "down" },
	{ 0x5f6f1e9e, "dax_get_private" },
	{ 0x954f099c, "idr_preload" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xc45289c0, "bdev_start_io_acct" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0xe38c7aa1, "kmem_cache_free" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0xb0c6e196, "dax_remove_host" },
	{ 0xfac19588, "__clear_user" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x31e9703e, "bio_chain" },
	{ 0xa99bff17, "dax_recovery_write" },
	{ 0xf332417c, "bdev_freeze" },
	{ 0xf6c3e4aa, "wait_for_completion_io" },
	{ 0xced6a6ad, "blk_stack_limits" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xf7fba61e, "kobject_init_and_add" },
	{ 0x0d2303aa, "zero_fill_bio_iter" },
	{ 0x22219fc5, "bio_add_page" },
	{ 0x5d8500f3, "crypto_shash_update" },
	{ 0x9cff42f3, "blk_mq_free_tag_set" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x58c8da8a, "del_gendisk" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xbdd74ae6, "cleanup_srcu_struct" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xa6db2afd, "bdev_file_open_by_dev" },
	{ 0x350c1395, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x98ce6511, "blk_set_stacking_limits" },
	{ 0x11089ac7, "_ctype" },
	{ 0xb44e18ea, "audit_enabled" },
	{ 0x034a7afe, "idr_destroy" },
	{ 0x20b329b1, "bd_unlink_disk_holder" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x1e2ba348, "bio_init" },
	{ 0x7e0bb000, "bio_alloc_clone" },
	{ 0xfff71c25, "__kmalloc_cache_node_noprof" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xe6de92dc, "misc_register" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x58b63161, "kmem_cache_alloc_noprof" },
	{ 0x5297263d, "kmemdup_noprof" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xe75ed143, "blk_insert_cloned_request" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xeedc4cf0, "__kmem_cache_create_args" },
	{ 0x103bafd6, "down_read" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0x1e651c70, "audit_log_start" },
	{ 0xc7d7d6d5, "nonseekable_open" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x2c914f02, "blk_mq_complete_request" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x64ae8d6d, "pcpu_alloc_noprof" },
	{ 0x0abeafe2, "bio_uninit" },
	{ 0xacf3b66d, "crypto_shash_final" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0x6597b021, "param_ops_bool" },
	{ 0x317877fb, "bioset_init" },
	{ 0x1307e5d0, "bio_trim" },
	{ 0x330f6116, "set_dax_synchronous" },
	{ 0xf89cfde7, "VMALLOC_START" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb76430e0, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x15ce71f1, "__traceiter_block_rq_remap" },
	{ 0xb15f6389, "__srcu_read_unlock" },
	{ 0x08135613, "dax_write_cache" },
	{ 0x626fa62e, "__tracepoint_block_bio_remap" },
	{ 0x8bc2b2f2, "__tracepoint_block_rq_remap" },
	{ 0xebbcfce8, "bd_link_disk_holder" },
	{ 0x655246c2, "blk_mq_start_request" },
	{ 0x59cc2e91, "alloc_pages_noprof" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x07242d92, "put_dax" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x1f53b0f7, "file_bdev" },
	{ 0x36bbd897, "queue_limits_stack_integrity" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x7efa5ba3, "mempool_init_noprof" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xefa64930, "blk_mark_disk_dead" },
	{ 0xb93ba240, "wake_up_bit" },
	{ 0xdcf0502a, "blk_zone_plug_bio" },
	{ 0x289cbc49, "param_ops_int" },
	{ 0x835a1cad, "blk_mq_run_hw_queues" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x349cba85, "strchr" },
	{ 0x8207746c, "crypto_alloc_shash" },
	{ 0x86f6b99d, "synchronize_rcu_expedited" },
	{ 0x8481a0e3, "queue_limits_set" },
	{ 0xb6ee8e9d, "bio_alloc_bioset" },
	{ 0x8c0c1c78, "__kvmalloc_node_noprof" },
	{ 0x555ccb97, "up_read" },
	{ 0xf86a9a7e, "blk_mq_requeue_request" },
	{ 0xf9a482f9, "msleep" },
	{ 0x76adb2c9, "blkdev_report_zones" },
	{ 0x714e578b, "bdev_end_io_acct" },
	{ 0xfc56c828, "kmalloc_caches" },
	{ 0x0c904c5b, "mempool_exit" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xf5c38650, "kmem_cache_destroy" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x0eb912eb, "kobject_put" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x5622fd2e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "8BB3F5816AF70F9A747C964");
MODULE_INFO(rhelversion, "9.99");
