#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(vfio_pci_core_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_disable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_close_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_finish_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_register_dev_region, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioctl, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioctl_feature, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_read, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_write, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_mmap, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_request, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_match, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_init_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_release_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_register_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_unregister_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_aer_err_detected, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_sriov_configure, "_gpl", "");
KSYMTAB_DATA(vfio_pci_core_err_handlers, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_set_params, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_iowrite8, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_iowrite16, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_iowrite32, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_iowrite64, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioread8, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioread16, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioread32, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioread64, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_do_io_rw, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_setup_barmap, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_range_intersect_range, "_gpl", "");

SYMBOL_CRC(vfio_pci_core_enable, 0x4f09323f, "_gpl");
SYMBOL_CRC(vfio_pci_core_disable, 0x5ba45910, "_gpl");
SYMBOL_CRC(vfio_pci_core_close_device, 0xc533bc66, "_gpl");
SYMBOL_CRC(vfio_pci_core_finish_enable, 0x4db9c58f, "_gpl");
SYMBOL_CRC(vfio_pci_core_register_dev_region, 0x380a01c6, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioctl, 0xad7e0875, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioctl_feature, 0xba1d4fc8, "_gpl");
SYMBOL_CRC(vfio_pci_core_read, 0xb9d47eae, "_gpl");
SYMBOL_CRC(vfio_pci_core_write, 0x539331a7, "_gpl");
SYMBOL_CRC(vfio_pci_core_mmap, 0xc8721bdc, "_gpl");
SYMBOL_CRC(vfio_pci_core_request, 0xbe596732, "_gpl");
SYMBOL_CRC(vfio_pci_core_match, 0xfb736fe1, "_gpl");
SYMBOL_CRC(vfio_pci_core_init_dev, 0xcaac5390, "_gpl");
SYMBOL_CRC(vfio_pci_core_release_dev, 0x74c473cb, "_gpl");
SYMBOL_CRC(vfio_pci_core_register_device, 0x518f7b87, "_gpl");
SYMBOL_CRC(vfio_pci_core_unregister_device, 0x8378ab33, "_gpl");
SYMBOL_CRC(vfio_pci_core_aer_err_detected, 0x6b18ce46, "_gpl");
SYMBOL_CRC(vfio_pci_core_sriov_configure, 0x312282c3, "_gpl");
SYMBOL_CRC(vfio_pci_core_err_handlers, 0x327104a1, "_gpl");
SYMBOL_CRC(vfio_pci_core_set_params, 0x4cf699b8, "_gpl");
SYMBOL_CRC(vfio_pci_core_iowrite8, 0x7c10569c, "_gpl");
SYMBOL_CRC(vfio_pci_core_iowrite16, 0x7342b454, "_gpl");
SYMBOL_CRC(vfio_pci_core_iowrite32, 0x4e6ec70a, "_gpl");
SYMBOL_CRC(vfio_pci_core_iowrite64, 0xd01425f9, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioread8, 0x9e3d20b2, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioread16, 0x1b2d1976, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioread32, 0xf6197406, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioread64, 0x878cdb56, "_gpl");
SYMBOL_CRC(vfio_pci_core_do_io_rw, 0x6c6c1a0c, "_gpl");
SYMBOL_CRC(vfio_pci_core_setup_barmap, 0x4fafcf35, "_gpl");
SYMBOL_CRC(vfio_pci_core_range_intersect_range, 0x7810f373, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8ff07f47, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xbb8fae4e, "vmf_insert_pfn" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x6bcb0d94, "pci_read_vpd" },
	{ 0x4f6ad801, "bus_unregister_notifier" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x49eaf66c, "pci_request_selected_regions" },
	{ 0x962ed619, "pci_release_selected_regions" },
	{ 0x6adeee67, "pci_user_write_config_byte" },
	{ 0xb826edcf, "pci_enable_device" },
	{ 0x51965d43, "__kmalloc_noprof" },
	{ 0x328682b5, "pci_bus_max_busnr" },
	{ 0x2404e96d, "pci_check_and_mask_intx" },
	{ 0x8b451e16, "pci_iomap" },
	{ 0x4232a0c3, "vfio_info_cap_shift" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xce3ef096, "pci_alloc_irq_vectors" },
	{ 0xaf8a4a7f, "vfio_set_irqs_validate_and_prepare" },
	{ 0x536ed2e4, "pci_enable_atomic_ops_to_root" },
	{ 0x178eba95, "memdup_user" },
	{ 0x39804cc9, "pci_dev_put" },
	{ 0x51f2a172, "iommu_group_get" },
	{ 0x8bded20f, "zpci_load" },
	{ 0xf5adfa41, "vfio_virqfd_disable" },
	{ 0xadf91a7f, "vfio_iommufd_get_dev_id" },
	{ 0x4bf89875, "page_noexec_mask" },
	{ 0x046f8f73, "fget" },
	{ 0xedc03953, "iounmap" },
	{ 0xab9a20ed, "pci_num_vf" },
	{ 0x236c8c64, "memcpy" },
	{ 0xdf6984e4, "unmap_mapping_range" },
	{ 0xce47b432, "pci_user_read_config_dword" },
	{ 0x037a0cba, "kfree" },
	{ 0xe2000dc9, "pci_user_read_config_word" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x9942dda7, "pci_probe_reset_bus" },
	{ 0x7b00a1b2, "pci_probe_reset_slot" },
	{ 0x7d907ee0, "pci_set_power_state" },
	{ 0x1b65077d, "pci_irq_vector" },
	{ 0xb786bf75, "pci_write_msi_msg" },
	{ 0x89485687, "iommu_group_put" },
	{ 0xdef691bc, "__dynamic_dev_dbg" },
	{ 0x4b8f4e7a, "down_read_trylock" },
	{ 0x1803b1a8, "pci_read_config_dword" },
	{ 0xa6f3e9a6, "pci_domain_nr" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x3affb0b1, "pci_intx" },
	{ 0xff1349d5, "pci_user_write_config_word" },
	{ 0x421b0824, "vfio_iommufd_device_ictx" },
	{ 0x3a9a8768, "bus_register_notifier" },
	{ 0x5828619f, "_dev_info" },
	{ 0x4e238a9e, "vfio_file_is_group" },
	{ 0xa9f18c72, "pci_msix_can_alloc_dyn" },
	{ 0x9d8d8f7a, "vfio_file_has_dev" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x61c5ff7a, "pci_clear_master" },
	{ 0x8fa452d6, "__pci_reset_function_locked" },
	{ 0xa5bb17a0, "zpci_kvm_hook" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0x69e683de, "uuid_gen" },
	{ 0x797f4512, "fput" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xd2510a63, "up_write" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x5b745a3d, "xa_load" },
	{ 0x418873cc, "irq_bypass_register_producer" },
	{ 0x4e987c76, "pci_write_vpd" },
	{ 0x738189c9, "vfio_virqfd_enable" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x5b0d8a97, "pci_read_config_word" },
	{ 0x85abc85f, "strncmp" },
	{ 0xb0371d19, "vfio_unregister_group_dev" },
	{ 0xabdda937, "pci_map_rom" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x350c1395, "__fortify_panic" },
	{ 0x0b57b97e, "pci_store_saved_state" },
	{ 0x13640660, "get_cached_msi_msg" },
	{ 0x0e43727d, "pci_iounmap" },
	{ 0x6c13cb7a, "pci_restore_state" },
	{ 0x047ecfa0, "_dev_warn" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xba802071, "pcie_get_mps" },
	{ 0x74fc0772, "pci_dev_trylock" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x868bde1d, "down_write_trylock" },
	{ 0x103bafd6, "down_read" },
	{ 0xf3411eb8, "vfio_info_add_capability" },
	{ 0x5a1cba22, "pci_dev_driver" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x6c041e19, "__xa_insert" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0xc5148f52, "vfio_find_device_in_devset" },
	{ 0xf6e772c3, "irq_bypass_unregister_producer" },
	{ 0x0124d931, "_dev_notice" },
	{ 0x16b69bc8, "zpci_store" },
	{ 0x9af08045, "pci_reset_bus" },
	{ 0xce23e067, "vfio_register_group_dev" },
	{ 0x7bf70259, "vfio_assign_device_set" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x92e70b96, "pci_user_read_config_byte" },
	{ 0x3c266a7a, "pci_try_reset_function" },
	{ 0x1853c22b, "xa_find" },
	{ 0x70d0d912, "pci_get_class" },
	{ 0xb76430e0, "__kmalloc_cache_noprof" },
	{ 0x14fe9bd0, "pci_user_write_config_dword" },
	{ 0xdf6bc1ed, "pcie_capability_read_dword" },
	{ 0xe7cda8ab, "pci_load_and_free_saved_state" },
	{ 0xa270b5e8, "pci_disable_sriov" },
	{ 0xc6984055, "vfio_device_set_open_count" },
	{ 0xd048579d, "pci_disable_device" },
	{ 0x7a9aa4ce, "pci_match_id" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x308a6bd7, "pci_check_and_unmask_intx" },
	{ 0xf3ad2407, "pcie_set_readrq" },
	{ 0x48c59694, "pci_walk_bus" },
	{ 0x5ec6230c, "pci_msix_alloc_irq_at" },
	{ 0xa1cc398c, "xa_find_after" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x567aa010, "pci_unmap_rom" },
	{ 0x0e5f9e7b, "pci_read_config_byte" },
	{ 0xc5e74216, "release_resource" },
	{ 0x0c61d6b0, "pci_dev_unlock" },
	{ 0x585405f8, "pci_write_config_word" },
	{ 0x89a09837, "ioremap_prot" },
	{ 0x0c10e997, "eventfd_signal_mask" },
	{ 0xf95b4d92, "pci_free_irq_vectors" },
	{ 0x4acfb6b5, "pci_enable_sriov" },
	{ 0x555ccb97, "up_read" },
	{ 0xfbc61625, "vfio_virqfd_flush_thread" },
	{ 0x07ec3e64, "pci_bus_type" },
	{ 0xfc56c828, "kmalloc_caches" },
	{ 0x4012df4f, "krealloc_noprof" },
	{ 0x5622fd2e, "module_layout" },
};

MODULE_INFO(depends, "vfio,irqbypass");


MODULE_INFO(srcversion, "073E55AA9F814D50E1410B1");
MODULE_INFO(rhelversion, "9.99");
